body {
  overflow-x: hidden;
}

main {
  height: calc(100vh - 3rem);
}

#main-content {
  margin-top: 17rem;
  position: relative;
  text-align: center;
  display: flex;
  flex-direction: column;
  font-size: 2.5rem;
  font-weight: 500;
  gap: 1.5rem;
}

#main-content h2 {
  font-size: 3.2rem;
  font-weight: 700;
  margin-bottom: 1rem;
}

#main-content p {
  font-size: 2rem;
  font-weight: 500;
}

#background {
  position: absolute;
}

.box {
  height: auto;
  padding: 8rem 0;
  text-align: center;
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 0.3s ease, transform 0.3s ease;
}

.box.animate-in {
  opacity: 1;
  transform: translateY(0);
}

.box h2 {
  color: #212121;
  font-size: 3rem;
  font-weight: 700;
  margin-bottom: 1rem;
}

h2 span {
  color: #636363;
  font-weight: 500;
  font-size: 2.5rem;
}

.box h3 {
  color: #212121;
  font-size: 1.3rem;
  font-weight: 600;
}

.text-muted {
  font-size: 2rem;
  font-weight: 500;
  color: #666;
}

.box-container {
  display: flex;
  justify-content: center;
  gap: 1rem;
}

.first-card {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-basis: 12.5rem;
  margin-top: 5.5rem;
  padding: 2rem 1rem;
  background-color: #f4f7fb;
  border-radius: 14px;
  color: #091a4c;
  font-weight: 500;
  font-size: 1.6rem;
}

#second-box,
#fifth-box {
  background-color: #f6f6f6;
}

.text-dark {
  font-size: 2rem;
  font-weight: 500;
  color: #212121;
}

.second-card {
  display: flex;
  gap: 1.5rem;
  background-color: #ffffff;
  border-radius: 14px;
  padding: 2rem 3rem;
  flex-basis: 38rem;
}

.second-card .card-container {
  display: flex;
  flex-direction: column;
  align-items: start;
  gap: 0.6rem;
}

.card-container h3 {
  font-size: 1.7rem;
  font-weight: 600;
  color: #091a4c !important;
}

.card-container p {
  text-align: start;
  font-size: 1.4rem !important;
  font-weight: 500;
  color: #212121;
}

.box-container {
  margin-top: 1rem;
}

.box-container.first {
  margin-top: 6rem;
}

#third-box .first-card {
  margin-top: 2.5rem;
  padding-top: 2.8rem;
  padding-bottom: 2.8rem;
}

#third-box .box-container,
#sixth-box .box-container {
  margin-bottom: 8rem;
}

#seventh-box {
  padding: 0 0 15rem;
}

#gallery {
  display: flex;
  justify-content: center;
  margin-top: 8rem;
  gap: 7rem;
}

#gallery img {
  box-shadow: 1px 4px 30px 0 #c4cedb;
}

#gallery img:first-child {
  width: 60rem;
}

#inactive-imgs {
  width: 15rem;
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

#inactive-imgs img {
  flex: 1;
}

@media (max-width: 768px) {
  #main-content {
    margin-top: 8rem;
  }

  #main-content h2 {
    font-size: 2.5rem;
  }

  #main-content p {
    font-size: 2rem;
  }

  .box {
    padding: 5rem 20px;
  }

  .box h2 {
    font-size: 1.8rem;
  }

  .box p {
    font-size: 1.5rem;
  }

  h2 span {
    font-size: 1.5rem;
  }

  .box-container.first {
    margin-top: 4rem;
  }

  .box-container {
    flex-wrap: wrap;
    margin-top: 2rem;
  }

  .first-card {
    margin-top: 0 !important;
    font-size: 1.3rem;
  }

  .card-container h3 {
    font-size: 1.4rem;
  }

  .card-container p {
    font-size: 1rem;
  }

  .second-card {
    padding: 2rem 2rem;
  }

  #third-box .box-container,
  #sixth-box .box-container {
    margin-bottom: 4rem;
  }

  #seventh-box {
    padding-bottom: 4rem;
  }

  #gallery {
    margin-top: 4rem;
    flex-wrap: wrap;
    justify-content: start;
    gap: 1rem;
  }

  #inactive-imgs {
    flex-direction: row;
    overflow-x: auto;
    width: 100%;
    gap: 0.6rem;
  }

  #inactive-imgs img {
    width: 30% !important;
  }

  .img-container {
    flex-shrink: 0;
  }
}
